from fastapi import Body
from pydantic import BaseModel


class BioDownloadModel(BaseModel):
    user_id: str
    ext: str

    @classmethod
    def as_body(
        cls,
        user_id: str = Body(),
        ext: str = Body()
    ):
        return cls(
            user_id=user_id,
            ext=ext
        )
